Subject: bug#18364: 24.4.50; GDB Many Windows: error in process filter: Bad string format: "doesn't start with '\"'!"

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Dec 2020 12:25:05 +0100

tuhdo <[email-masked]> writes:

> To reproduce:
>
> - Enable GDB Many Windows: (setq gdb-many-windows t)
> - Find any binary and M-x gdb 
> - M-x gdb-display-memory-buffer
> - Enter invalild address like "abcdef"

(This bug report unfortunately got no response at the time.)

I tried reproducing this bug -- in the last step there, do you mean the
`a' command to enter the address?

> - Error occurs and block user from entering command in gdb buffer:
>
> error in process filter: gdb-read-memory-custom: No symbol "abcdef" in current context.
> error in process filter: No symbol "abcdef" in current context.
> error in process filter: json-read-string: Bad string format: "doesn't start with '\"'!"
> error in process filter: Bad string format: "doesn't start with '\"'!"

With Emacs 28 and the `a' command, I get:

Error when retrieving memory: No symbol "abcdef" in current context. Displaying last successful page

But I'm not sure I'm reproducing this bug correctly.  Are you still
seeing this issue in more recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no